Get monthly statistics
GET https://www.lightsms.com/external/get/stat_by_month.php
Get SMS statistics for a specific month.
This endpoint provides insights into your SMS sending activity including message counts, costs, and delivery rates.
Authorization​
This endpoint requires authentication using login, signature, and timestamp parameters.
See the Authentication documentation for more details.
AUTHORIZATION: HTTP
REQUEST
Base URL
https://www.lightsms.com
Query Parameters
loginREQUIREDYour LightSMS account login
signatureREQUIREDRequest signature for authentication
monthREQUIREDYear and month in format YYYY-MM
timestampREQUIREDUTC timestamp of the request
returnResponse format (array, json, or xml)
RESPONSE
Statistics retrieved successfully
{
"2025-01-15": {
"deliver": {
"cost": "1738.300",
"parts": "3909"
},
"not_deliver": {
"cost": "1057.700",
"parts": "2380"
},
"expired": {
"cost": "194.300",
"parts": "436"
}
}
}